package com.ssj.service.conch.teacher.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.ssj.service.conch.teacher.app.dto.HomeworkPictureDTO;

import java.io.Serializable;
import java.sql.Date;
import java.util.List;

/**
 * @author chchen
 * @date 2018/9/25 17:53
 */
public class HomeworkDTO implements Serializable {

    private static final long serialVersionUID = -2273861563031346135L;

    @JSONField(serialize = false)
    private String libVipId;//学生id
    private String imgUrl;//学生头像
    private String childName;//学生名称
    private String school;//所在学校
    private String grade;//所在年级
    private String leagueName;//校区名称
    private String homeworkId;//作业id
    private Integer partial;//是否只能批改部分作业：0否，所有作业可批改；1是，部分作业已分配给其他老师，只能批改一部分

    @JSONField(format = "yyyy-MM-dd HH:mm")
    private Date createTime;//作业开始时间

    @JSONField(serialize = false)
    private Date correctTime;//作业开始时间

    private String courseName;//作业科目
    private List<HomeworkPictureDTO> list;//作业图片列表

    public String getLibVipId() {
        return libVipId;
    }

    public void setLibVipId(String libVipId) {
        this.libVipId = libVipId;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getChildName() {
        return childName;
    }

    public void setChildName(String childName) {
        this.childName = childName;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public Integer getPartial() {
        return partial;
    }

    public void setPartial(Integer partial) {
        this.partial = partial;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getCorrectTime() {
        return correctTime;
    }

    public void setCorrectTime(Date correctTime) {
        this.correctTime = correctTime;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public List<HomeworkPictureDTO> getList() {
        return list;
    }

    public void setList(List<HomeworkPictureDTO> list) {
        this.list = list;
    }

    public String getLeagueName() {
        return leagueName;
    }

    public void setLeagueName(String leagueName) {
        this.leagueName = leagueName;
    }
}
